Permalink
Browse files

Bumping version number and updating notes

  • Loading branch information...
focalintent committed Nov 8, 2014
1 parent 1ca57f1 commit a65a63097ce200b85c9db85c99d0d2d3a90259df
Showing with 9 additions and 4 deletions.
  1. +2 −2 FastLED.h
  2. +1 −2 README.md
  3. +6 −0 release_notes.md
View
@@ -7,8 +7,8 @@
#define xstr(s) str(s)
#define str(s) #s
-#define FASTLED_VERSION 3000001
-#warning FastLED version 3.000.001 (Not really a warning, just telling you here.)
+#define FASTLED_VERSION 3000002
+#warning FastLED version 3.000.002 (Not really a warning, just telling you here.)
#ifndef __PROG_TYPES_COMPAT__
#define __PROG_TYPES_COMPAT__
View
@@ -1,5 +1,4 @@
-IMPORTANT NOTE: If you are building for AVR based systems, please do not use any version of the arduino IDE 1.5.7 or greater yet. It messes with some of the asm output which will cause you problems. The real issue is the compiler version, GCC 4.8.x introduces incompatabilities with the assembly code FastLED uses on the avr platfrom. Note that some versions of Arduino 1.0.5, notably some linux versions, use gcc 4.8.x.
-
+IMPORTANT NOTE: If you are building for AVR based systems, it is possible that using any version of the arduino IDE 1.5.7 or later and/or GCC 4.8 may introduce some issues. I believe I have fixed them, but if you run into issues using these platforms, please file an issue at http://fastled.io/issues - thank you!
FastLED 3.0
===========
View
@@ -1,3 +1,9 @@
+3.0.1
+* possibly fix issues #67 and #90 by fixing gcc 4.8.x support
+
+3.0.1
+* fix issue #89 w/power management pin always being on
+
FastLED3.0
==========

0 comments on commit a65a630

Please sign in to comment.